package com.ruoyi.device.domain.model;

import com.ruoyi.device.domain.entity.TsbUserDevice;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备与用户绑定关系信息封装
 *
 * @author lwm
 */
public class TsbUserDeviceBind extends TsbUserDevice
{
    private static final long serialVersionUID = 1L;

    /** 登录账号 */
    private String userName;

    /** 用户昵称 */
    private String nickName;

    /** 设备IMEI */
    private String imei;

    /** 设备SN码 */
    private Long deviceSn;

    /** 设备类型 */
    private String deviceType;

    public TsbUserDeviceBind()
    {
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getNickName()
    {
        return nickName;
    }

    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getImei()
    {
        return imei;
    }

    public void setImei(String imei)
    {
        this.imei = imei;
    }

    public Long getDeviceSn()
    {
        return deviceSn;
    }

    public void setDeviceSn(Long deviceSn)
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceType()
    {
        return deviceType;
    }

    public void setDeviceType(String deviceType)
    {
        this.deviceType = deviceType;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("nickName", getNickName())
                .append("deviceId", getDeviceId())
                .append("imei", getImei())
                .append("deviceSn", getDeviceSn())
                .append("deviceType", getDeviceType())
                .append("bindTime", getBindTime())
                .toString();
    }
}
